Page MenuHomePhabricator

get rid of deployment-nfs-memc
Closed, ResolvedPublic

Description

The deployment-nfs-memc had a layer of file abstraction which is not that much needed. Labs provide a project storage:

projectstorage.pmtpa.wmnet:/deployment-prep-project

/data/project is an auto mount to it.

Currently our boxes have
deployment-nfs-memc:/mnt/export/upload /mnt/upload6
deployment-nfs-memc:/mnt/export/apache /usr/local/apache

So we want to copy the data from the NFS instance to /deployment-prep-project then rewrite the puppet class to use that.


Version: unspecified
Severity: normal

Details

Reference
bz38084

Related Objects

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:49 AM
bzimport set Reference to bz38084.
hashar created this task.Jun 29 2012, 3:20 PM

I have created the /data/project/upload6 directory and did an rsync:

root@deployment-nfs-memc:/data/project/upload6#

rsync -a --progress --inplace /mnt/export/upload6 /data/project/upload6

Patchset 6 ends up adding symbolic link to /data/project subdirs. Pending ops review / submit.

Petrb added a comment.Jul 18 2012, 3:51 PM

ok, you know that instance is used as memcache server? :)

Petrb added a comment.Jul 18 2012, 3:52 PM

ah, it's not

Gerrit change 15545 was merged. I had to do some manual changes though but that will be fine for new instances.

/mnt/thumbs and /mnt/upload6 are now symbolic links to /data/project/thumbs /data/project/upload6.

In a similar fashion, /usr/local/apache is a symbolic link to /data/project/apache

So that is a huge step. Now we have to cleanup what is left of nfs-memc :D

I am moving all data from deployment-nfs-memc:/mnt/export to /data/project/deployment-nfs-memc_mnt-export_backup so I guess we will be able to shutdown the instance after that and eventually delete it one day.

Need to check with Petr if there is anything of importance left in this instance that I might not be aware of.

jgerber wrote:

jobrunner and bastion still mount deployment-nfs possibly others.

I have deleted bastion and in the process of recreating it (bug 38777). jobrunner06 looks fine.

I have shutdown deployment-nfs-memc for a while, will see if it is still needed around or if we can safely delete it

Assuming fixed, keeping the instance around but will delete it eventually.

hashar added a comment.Aug 3 2012, 8:21 AM

I am deleting the instance now. All its data from /mnt/export are under /data/project now.